Index: pacemaker/pengine/test10/clone-fail-block-colocation.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-fail-block-colocation.exp
+++ pacemaker/pengine/test10/clone-fail-block-colocation.exp
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="14" operation="monitor" operation_key="ipv6_dem_tas_dns_monitor_10000" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ipv6_dem_tas_dns" class="ocf" provider="heartbeat" type="IPv6addr"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="13" operation="start" operation_key="ipv6_dem_tas_dns_start_0" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ipv6_dem_tas_dns" class="ocf" provider="heartbeat" type="IPv6addr"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
+        <attributes CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -100,7 +100,7 @@
     <action_set>
       <rsc_op id="12" operation="stop" operation_key="ipv6_dem_tas_dns_stop_0" on_node="DEM-1" on_node_uuid="DEM-1">
         <primitive id="ipv6_dem_tas_dns" class="ocf" provider="heartbeat" type="IPv6addr"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
+        <attributes CRM_meta_on_node="DEM-1" CRM_meta_on_node_uuid="DEM-1" CRM_meta_timeout="20000" cidr_netmask="112"  ipv6addr="fd15:a2c:8660:c828:172:16:10:241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -116,7 +116,7 @@
     <action_set>
       <rsc_op id="17" operation="monitor" operation_key="d_bird_subnet_state_monitor_10000" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="d_bird_subnet_state" class="lsb" type="bird_subnet_state"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -129,7 +129,7 @@
     <action_set>
       <rsc_op id="16" operation="start" operation_key="d_bird_subnet_state_start_0" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="d_bird_subnet_state" class="lsb" type="bird_subnet_state"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -148,7 +148,7 @@
     <action_set>
       <rsc_op id="15" operation="stop" operation_key="d_bird_subnet_state_stop_0" on_node="DEM-1" on_node_uuid="DEM-1">
         <primitive id="d_bird_subnet_state" class="lsb" type="bird_subnet_state"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="DEM-1" CRM_meta_on_node_uuid="DEM-1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -164,7 +164,7 @@
     <action_set>
       <rsc_op id="20" operation="monitor" operation_key="ip_mgmt_monitor_10000" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ip_mgmt" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -177,7 +177,7 @@
     <action_set>
       <rsc_op id="19" operation="start" operation_key="ip_mgmt_start_0" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ip_mgmt" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
+        <attributes CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -196,7 +196,7 @@
     <action_set>
       <rsc_op id="18" operation="stop" operation_key="ip_mgmt_stop_0" on_node="DEM-1" on_node_uuid="DEM-1">
         <primitive id="ip_mgmt" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
+        <attributes CRM_meta_on_node="DEM-1" CRM_meta_on_node_uuid="DEM-1" CRM_meta_timeout="20000" broadcast="172.20.1.241"  iflabel="ha" ip="172.20.1.241" nic="bond0"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -212,7 +212,7 @@
     <action_set>
       <rsc_op id="23" operation="monitor" operation_key="ip_trf_tas_monitor_10000" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ip_trf_tas" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
+        <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -225,7 +225,7 @@
     <action_set>
       <rsc_op id="22" operation="start" operation_key="ip_trf_tas_start_0" on_node="DEM-2" on_node_uuid="DEM-2">
         <primitive id="ip_trf_tas" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
+        <attributes CRM_meta_on_node="DEM-2" CRM_meta_on_node_uuid="DEM-2" CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -244,7 +244,7 @@
     <action_set>
       <rsc_op id="21" operation="stop" operation_key="ip_trf_tas_stop_0" on_node="DEM-1" on_node_uuid="DEM-1">
         <primitive id="ip_trf_tas" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
+        <attributes CRM_meta_on_node="DEM-1" CRM_meta_on_node_uuid="DEM-1" CRM_meta_timeout="20000" broadcast="172.16.10.241"  iflabel="ha" ip="172.16.10.241" nic="bond0.3010"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-interleave-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-interleave-1.exp
+++ pacemaker/pengine/test10/clone-interleave-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="dummy_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="dummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="3" operation="start" operation_key="child-1:0_start_0" on_node="pcmk-2" on_node_uuid="2">
         <primitive id="child-1" long-id="child-1:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="child-1:1_start_0" on_node="pcmk-3" on_node_uuid="3">
         <primitive id="child-1" long-id="child-1:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -42,7 +42,7 @@
     <action_set>
       <rsc_op id="5" operation="start" operation_key="child-1:2_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-1" long-id="child-1:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -84,7 +84,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="child-2:0_start_0" on_node="pcmk-2" on_node_uuid="2">
         <primitive id="child-2" long-id="child-2:0" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -100,7 +100,7 @@
     <action_set>
       <rsc_op id="11" operation="start" operation_key="child-2:1_start_0" on_node="pcmk-3" on_node_uuid="3">
         <primitive id="child-2" long-id="child-2:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -146,7 +146,7 @@
     <action_set>
       <rsc_op id="17" operation="start" operation_key="child-3:1_start_0" on_node="pcmk-2" on_node_uuid="2">
         <primitive id="child-3" long-id="child-3:1" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-2" CRM_meta_on_node_uuid="2" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -162,7 +162,7 @@
     <action_set>
       <rsc_op id="18" operation="start" operation_key="child-3:2_start_0" on_node="pcmk-3" on_node_uuid="3">
         <primitive id="child-3" long-id="child-3:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="2" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-3" CRM_meta_on_node_uuid="3" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-interleave-2.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-interleave-2.exp
+++ pacemaker/pengine/test10/clone-interleave-2.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="3" operation="start" operation_key="dummy_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="dummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="dummy_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="dummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="14" operation="stop" operation_key="child-2:2_stop_0" internal_operation_key="child-2:0_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-2" long-id="child-2:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -71,7 +71,7 @@
     <action_set>
       <rsc_op id="23" operation="stop" operation_key="child-3:2_stop_0" internal_operation_key="child-3:0_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-3" long-id="child-3:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-interleave-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-interleave-3.exp
+++ pacemaker/pengine/test10/clone-interleave-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="dummy_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="dummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="dummy_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="dummy" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -28,7 +28,7 @@
     <action_set>
       <rsc_op id="15" operation="start" operation_key="child-2:2_start_0" internal_operation_key="child-2:0_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-2" long-id="child-2:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -44,7 +44,7 @@
     <action_set>
       <rsc_op id="1" operation="stop" operation_key="child-2:2_stop_0" internal_operation_key="child-2:0_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-2" long-id="child-2:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -114,7 +114,7 @@
     <action_set>
       <rsc_op id="25" operation="start" operation_key="child-3:2_start_0" internal_operation_key="child-3:0_start_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-3" long-id="child-3:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -133,7 +133,7 @@
     <action_set>
       <rsc_op id="24" operation="stop" operation_key="child-3:2_stop_0" internal_operation_key="child-3:0_stop_0" on_node="pcmk-1" on_node_uuid="1">
         <primitive id="child-3" long-id="child-3:2" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="pcmk-1" CRM_meta_on_node_uuid="1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/clone-max-zero.exp
===================================================================
--- pacemaker.orig/pengine/test10/clone-max-zero.exp
+++ pacemaker/pengine/test10/clone-max-zero.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="dlm:1_stop_0" internal_operation_key="dlm:0_stop_0" on_node="c001n12" on_node_uuid="c001n12">
         <primitive id="dlm:1" long-id="dlm:0" class="ocf" provider="pacemaker" type="controld"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="0" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="0" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n12" CRM_meta_on_node_uuid="c001n12" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -19,7 +19,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="dlm:0_stop_0" internal_operation_key="dlm:1_stop_0" on_node="c001n11" on_node_uuid="c001n11">
         <primitive id="dlm:0" long-id="dlm:1" class="ocf" provider="pacemaker" type="controld"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="0" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="0" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n11" CRM_meta_on_node_uuid="c001n11" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -65,7 +65,7 @@
     <action_set>
       <rsc_op id="10" operation="stop" operation_key="o2cb:1_stop_0" internal_operation_key="o2cb:0_stop_0" on_node="c001n12" on_node_uuid="c001n12">
         <primitive id="o2cb" long-id="o2cb:1" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n12" CRM_meta_on_node_uuid="c001n12" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -81,7 +81,7 @@
     <action_set>
       <rsc_op id="11" operation="stop" operation_key="o2cb:0_stop_0" internal_operation_key="o2cb:1_stop_0" on_node="c001n11" on_node_uuid="c001n11">
         <primitive id="o2cb" long-id="o2cb:0" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n11" CRM_meta_on_node_uuid="c001n11" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -127,7 +127,7 @@
     <action_set>
       <rsc_op id="24" operation="stop" operation_key="ocfs2-1:1_stop_0" internal_operation_key="ocfs2-1:0_stop_0" on_node="c001n12" on_node_uuid="c001n12">
         <primitive id="ocfs2-1" long-id="ocfs2-1:1" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000"  device="/dev/drbd0" directory="/mnt" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n12" CRM_meta_on_node_uuid="c001n12" CRM_meta_timeout="120000"  device="/dev/drbd0" directory="/mnt" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -140,7 +140,7 @@
     <action_set>
       <rsc_op id="25" operation="stop" operation_key="ocfs2-1:0_stop_0" internal_operation_key="ocfs2-1:1_stop_0" on_node="c001n11" on_node_uuid="c001n11">
         <primitive id="ocfs2-1" long-id="ocfs2-1:0" class="ocf" provider="heartbeat" type="Filesystem"/>
-        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="120000"  device="/dev/drbd0" directory="/mnt" fstype="ocfs2"/>
+        <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="c001n11" CRM_meta_on_node_uuid="c001n11" CRM_meta_timeout="120000"  device="/dev/drbd0" directory="/mnt" fstype="ocfs2"/>
       </rsc_op>
     </action_set>
     <inputs>
